
# SSO site rewrites
rewrite ^/(fi|meta|sp)$ /sso-site/sso_main.php last;
rewrite ^/(fi|sp)/(.*)$ /sso-site/sso_main.php/$1 last;

# SSO relay
rewrite ^/(relay|signout|SAML)$ /sso-relay/sso_relay.php last;
rewrite ^/(relay|signout|SAML)/(.*)$ /sso-relay/sso_relay.php/$1 last;

# SSO static content
rewrite ^/sso-site/(ui/static/.*)$ /$1 last;

location ^~ /ui/static/ {
	root /usr/local/sso;
}

location ^~ /sso-site/ {
	root /usr/local/sso;
	include /etc/sw-cp-server/fastcgi_params;
	fastcgi_pass 127.0.0.1:19001;
	fastcgi_param PATH_INFO /sso-site/$fastcgi_path_info;
	fastcgi_param SSO_RELAY_PORT 8443;
	fastcgi_param SSO_CONFIG_FILE /etc/sso/sso_config.ini;
	fastcgi_param TEMP /usr/local/sso/tmp/;

	fastcgi_param SCRIPT_FILENAME /usr/local/sso/sso_main.php;
}

location ^~ /sso-relay/ {
	root /usr/local/sso;
	include /etc/sw-cp-server/fastcgi_params;
	fastcgi_param SSO_RELAY_PORT 8443;
	fastcgi_param SSO_CONFIG_FILE /etc/sso/sso_config.ini;
	fastcgi_param TEMP /usr/local/sso/tmp/;
	fastcgi_pass 127.0.0.1:19001;
	fastcgi_param PATH_INFO /sso-relay/$fastcgi_path_info;
	fastcgi_param SCRIPT_FILENAME /usr/local/sso/sso_main.php;
}
